Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Class NonPositiveDefiniteMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.NumberIsTooSmallException
                                  org.apache.commons.math3.linear.NonPositiveDefiniteMatrixException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class NonPositiveDefiniteMatrixException

extends NumberIsTooSmallException

Exception to be thrown when a positive definite matrix is expected.

Since:
  3.0
Version:
  $Id: NonPositiveDefiniteMatrixException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`NonPositiveDefiniteMatrixException(double wrong, int index, double threshold)` Construct an exception.

Method Summary
`int` | `getColumn()`
`int` | `getRow()`
`double` | `getThreshold()`

Methods inherited from class org.apache.commons.math3.exception.NumberIsTooSmallException
`getBoundIsAllowed, getMin`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonPositiveDefiniteMatrixException

    public NonPositiveDefiniteMatrixException(double wrong,
                                              int index,
                                              double threshold)

  Construct an exception.

  Parameters:
    `wrong` - Value that fails the positivity check.
    `index` - Row (and column) index.
    `threshold` - Absolute positivity threshold.

Method Detail

### getRow

    public int getRow()

  Returns:
    the row index.

### getColumn

    public int getColumn()

  Returns:
    the column index.

### getThreshold

    public double getThreshold()

  Returns:
    the absolute positivity threshold.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.